##Exerccio 1: Cervejas

##   1. Represente este resultado como um grfico de barras e um dotplot (funo dotchart).
cervejas <-c("chope","lata","garrafa","chope","garrafa", "garrafa","lata","lata","nenhuma","lata","garrafa","garrafa", "garrafa","lata","lata","lata","garrafa","lata","chope","nenhuma", "garrafa","garrafa","garrafa","chope","garrafa","garrafa","chope","garrafa","lata","lata")
barplot(sort(table(cervejas)))
dotchart(sort(table(cervejas)))

##   2. Qual tem maior razo dado/tinta?
dotplot, pois barras apresentam maior gasto de tinta


## Rios

## 1. Qual a proporo do total de rios que tem extenso menor do que a mdia
length(rivers[rivers<mean(rivers)])/length(rivers)
## [1] 0.6666667

## 2. Qual  o quantil de 75%
quantile(rivers)
## 680

## 3. Compare a mdia, mdia truncada a 25% e mediana. H diferenas?
media = mean(rivers)
mediatrunc = mean(rivers, trim=0.25)
mediana = median(rivers)
## Os valores de mediana e media truncada foram aproximadamente iguais (425 e 449.9155, respectivamente),
## enquanto a mdia  enviesada por outliers, sendo deformada para cima (591.1844).


## Caixetais

## 1. Construa um histograma do dap dos fustes dos caixetais
caixeta <- read.csv("caixeta.csv")
hist(caixeta$cap/2*pi,xlab="DAP",main ="Histograma dos DAPs dos fustes dos Caixetais")

## 2. Construa histogramas da altura das rvores para os diferentes caixetais ("local")
require(lattice)
caixeta = caixeta[caixeta$fuste==1,]    ##Eliminando alturas repetidas
histogram(~h | local,data=caixeta)

# Existe uma diferena pequena entre as alturas das rvores em cada local.
# A Juria apresenta um maior nmero de rvores altas e o retiro apresenta
# um maior nmero de rvores baixas.


## Eucaliptos

## 1. Utilize o grfico boxplot para analisar o DAP de rvores de E. grandis em funo das variveis regio e rotao
eucalipto = read.table("egrandis.csv",sep=";",dec=".", header=T)
boxplot(eucalipto$dap~eucalipto$regiao)
boxplot(eucalipto$dap~eucalipto$rotacao)

## 2. Avalie a normalidade da altura do conjunto total de rvores com um grfico quantil-quantil contra a distribuio normal.
qqnorm(eucalipto$ht)
qqline(eucalipto$ht)
# A altura do conjunto total de rvores apresenta um desvio da normalidade


## Mais Caixetais

## 1. Analise a relao dap-altura em funo do caixetal com a funo plot, mas somente para as rvores de caixeta (Tabebuia cassinoides).
## 2. Para a mesma relao do item anterior, verifique linearidade com a funo scatter.smooth
caixeta <- read.csv("caixeta.csv")
caixtabebuia <- caixeta[caixeta$especie=="Tabebuia cassinoides",]
caixtabebuia$dap = caixtabebuia$cap/2*pi

caixtabebuia_chauas = caixtabebuia[caixtabebuia$local=="chauas",]
plot(h~dap,data=caixtabebuia_chauas)
scatter.smooth(caixtabebuia_chauas$h~caixtabebuia_chauas$dap)

caixtabebuia_retiro = caixtabebuia[caixtabebuia$local=="retiro",]
plot(h~dap,data=caixtabebuia_retiro)
scatter.smooth(caixtabebuia_retiro$h~caixtabebuia_retiro$dap)

caixtabebuia_jureia = caixtabebuia[caixtabebuia$local=="jureia",]
plot(h~dap,data=caixtabebuia_jureia)
scatter.smooth(caixtabebuia_jureia$h~caixtabebuia_jureia$dap)

## 3. Utilizando o pacote lattice, analise a relao dap-altura em funo do caixetal, mas somente para as rvores de caixeta
require(lattice)
xyplot(h~dap|local,data=caixtabebuia)